Subject: Re: [PATCH net-next 3/6] net: dsa: add support for retrieving the interface mode

From: "Russell King (Oracle)" <[email-masked]>
Date: Mon, 25 Jul 2022 11:11:07 +0100

On Sat, Jul 23, 2022 at 04:44:44PM +0300, Vladimir Oltean wrote:
> On Sat, Jul 23, 2022 at 08:12:04AM +0100, Russell King (Oracle) wrote:
> > > > > Thanks for this explanation, if nothing else, it seems to support the
> > > > > way in which I was interpreting managed = "in-band-status" to mean
> > > > > "enable in-band autoneg", but to be clear, I wasn't debating something
> > > > > about the way in which mvneta was doing things. But rather, I was
> > > > > debating why would *other* drivers do things differently such as to come
> > > > > to expect that a fixed-link master + an in-band-status CPU port, or the
> > > > > other way around, may be compatible with each other.
> > > > 
> > > > Please note that phylink makes a DT specification including both a
> > > > fixed-link descriptor and a managed in-band-status property illegal
> > > > because these are two different modes of operating the link, and they
> > > > conflict with each other.
> > > 
> > > Ok, thank you for this information which I already knew, what is the context?
> > 
> > FFS. You're the one who's writing emails to me that include *both*
> > "fixed-link" and "in-band-status" together. I'm pointing out that
> > specifying that in DT for a port together is not permitted.
> > 
> > And here I give up reading this email. Sorry, I'm too frustrated
> > with this nitpicking, and too frustrated with spending hours writing a
> > reply only to have it torn apart.
> 
> This is becoming toxic.

It is toxic, because I'm spending longer and longer replying to each of
your emails, because every time I do, you ask more and more questions
despite my best effort to provide clear answers. This cycle of forever
growing emails that take longer and longer to reply to can not continue.

When I spend three hours trying to compose a reply to your email, and
then get a reply that tears it apart, needing another multi-hour effort
to reply, it has to stop. Sorry, but it has to.

I am not going to spend endless hours composing one reply after another
on the same topic - I will just stop trying to compose a reply to an
email if its turning into another multi-hour effort leaving the rest of
the email unreplied - and in many cases even unread. Sorry, but I don't
have the patience.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!